Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1412124 - Cannot update smart variable name
Summary: Cannot update smart variable name
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer
Version: 6.2.6
Hardware: x86_64
OS: Linux
medium
medium vote
Target Milestone: Unspecified
Assignee: Shimon Shtein
QA Contact: Ondřej Pražák
URL:
Whiteboard:
Depends On: 1367032
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-11 10:17 UTC by Oleksandr Shtaier
Modified: 2019-04-01 20:26 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1367032
Environment:
Last Closed: 2018-02-21 16:45:33 UTC
Target Upstream Version:


Attachments (Terms of Use)
Updating smart variable name via hammer (deleted)
2017-08-09 10:39 UTC, Ondřej Pražák
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 16119 None None None 2017-01-11 10:17:32 UTC

Description Oleksandr Shtaier 2017-01-11 10:17:32 UTC
+++ This bug was initially created as a clone of Bug #1367032 +++

Description of problem:

Before Update:
hammer -v -u admin -p changeme smart-variable info --id="100" 
Id:              100
Name:            YJIQOcdDFQ1
Default Value:   
Type:            string
Puppet class:    ntp
Description:     
Hidden Value?:   false
Validator:       
    Type: 
    Rule:
Override values: 
    Merge overrides:     no
    Merge default value: no
    Avoid duplicates:    no
    Order:               fqdn, hostgroup, os, domain
    Values:
Created at:      2016/08/15 10:36:30
Updated at:      2016/08/15 10:42:18

Updating entity:
hammer -v -u admin -p changeme --output=csv smart-variable update --id="100" --new-name="XO4txkfDEUD" --puppet-class="ntp"
Message,Id
Smart variable [YJIQOcdDFQ1] updated,100

Nothing happened and entity has old name:
hammer -v -u admin -p changeme smart-variable info --id="100" 
Id:              100
Name:            YJIQOcdDFQ1
Default Value:   
Type:            string
Puppet class:    ntp
Description:     
Hidden Value?:   false
Validator:       
    Type: 
    Rule:
Override values: 
    Merge overrides:     no
    Merge default value: no
    Avoid duplicates:    no
    Order:               fqdn, hostgroup, os, domain
    Values:
Created at:      2016/08/15 10:36:30
Updated at:      2016/08/15 10:42:36



Version-Release number of selected component (if applicable):
Satellite 6.2.0-6.2.1 SNAP1.2

How reproducible:
Always

Steps to Reproduce:
1. Create smart variable for any puppet class
2. Try to update it with new value for its name
3.

Actual results:
Entity is not updated

Expected results:
Entity updated properly

Additional info:

Comment 1 Oleksandr Shtaier 2017-01-11 10:22:22 UTC
Quickly check on 6.2.7 and functionality works in a wrong way, but that is expected as fix is not there

Comment 3 pm-sat@redhat.com 2017-01-11 11:04:37 UTC
Upstream bug assigned to sshtein@redhat.com

Comment 4 pm-sat@redhat.com 2017-01-11 11:04:41 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/16119 has been resolved.

Comment 6 Ondřej Pražák 2017-08-09 10:39:34 UTC
Created attachment 1311158 [details]
Updating smart variable name via hammer

Verified.

Sat-6.3.0 snap 10

Comment 7 Bryan Kearney 2018-02-21 16:41:47 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Comment 8 Bryan Kearney 2018-02-21 16:45:33 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Comment 9 pm-sat@redhat.com 2018-02-21 16:49:54 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.